%define upstream_name    Padre-Plugin-Git
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple Git interface for Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Padre-Plugin-Git-0.12-Remove-using-of-MI-DSL.patch

BuildRequires: perl(CPAN::Changes) >= 0.190.0
BuildRequires: perl(Carp) >= 1.320.0
BuildRequires: perl(Data::Printer) >= 0.330.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Slurp) >= 9999.190.0
BuildRequires: perl(File::Spec) >= 3.330.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Pithub) >= 0.10.160
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildRequires: perl(strictures) >= 1.4.4
BuildRequires: x11-server-xvfb
BuildArch:  noarch

%description
Simple Git interface for Padre.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 0.120.0-10.mga10
+ Revision: 2143914
- add patch to fix build

* Sat Apr 02 2022 umeabot <umeabot> 0.120.0-9.mga9
+ Revision: 1840176
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-8.mga8
+ Revision: 1496264
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-7.mga7
+ Revision: 1270241
- Mageia 7 Mass Rebuild

* Thu May 12 2016 tv <tv> 0.120.0-6.mga6
+ Revision: 1013943
- use std build macros; prevent commented macros to break build

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 943534
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 748454
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 534880
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 479954
- Fix tests
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 371426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 342472
- update to 0.11

* Wed Nov 07 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 315813
- update to 0.07

* Thu Sep 27 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 298738
- update to 0.05

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 37615
- mageia rebuild
- imported package perl-Padre-Plugin-Git

